New Search

Vulnerability (during processing of Cascading Style Sheets (CSS) boxes) in WebKit in Apple Safari before 5.0.3 versions

oval:org.mitre.oval:def:11308

WebKit in Apple Safari before 5.0.3 on Mac OS X 10.5 through 10.6 and Windows and before 4.1.3 on Mac OS X 10.4 does not properly perform a cast of an unspecified variable during processing of Cascading Style Sheets (CSS) boxes which allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via a crafted web site.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Server 2008
  • Microsoft Windows Vista
  • Microsoft Windows XP
  • Microsoft Windows 2000
  • Microsoft Windows Server 2003
Class:
vulnerability
Reference(s):
  • CVE-2010-3819
Product(s):
  • Apple Safari